using System;
using UnityEngine;

namespace NBF
{
    public class PlayerShoulder : MonoBehaviour
    {
        private Vector3 startEulerAngles;
        private const int MaxAngle = 30;
        private const int MinAngle = -30;


        public float TestZ;
        private void Awake()
        {
            startEulerAngles = transform.localEulerAngles;
        }

        public void SetCameraEulerAngleX(float value)
        {
            value = (value > 180f) ? value - 360f : value;
            Debug.Log($"value={value}");
            var addValue = value * -1;
            if (addValue > MaxAngle)
            {
                addValue = MaxAngle;
            }
            else if (addValue < MinAngle)
            {
                addValue = MinAngle;
            }
            
            transform.localEulerAngles =
                new Vector3(addValue + startEulerAngles.x, startEulerAngles.y, TestZ);
        }
    }
}